%define version 1.0.3
%define release 1mdk

%define major 11
%define libname_orig %mklibname %{name}
%define libname %mklibname %{name} %{major}

%define gpg_version 1.2.2
%define gpgsm_version 1.9.6

Summary:	GnuPG Made Easy (GPGME)
Name:		gpgme
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz.sig
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org/gpgme.html
BuildRequires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
BuildRequires:	gnupg2 >= %{gpgsm_version}
BuildRequires:	pth-devel >= 2.0.0
BuildRequires:	libgpg-error-devel >= 0.5
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package	-n %{libname}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{gpg_version}
# support for Cryptographic Message Syntax protocol
Requires:	gnupg2 >= %{gpgsm_version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description	-n %{libname}
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package	-n %{libname}-devel
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install this package if you want to develop applications 
that will use the %{name} library for crypto awareness.

%prep
%setup -q

%build
%configure2_5x --enable-static 
%make

make check

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/gpgme-config
%endif

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-devel
%_install_info %{name}.info

%postun -n %{libname}-devel
%_remove_install_info %{name}.info


%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/gpgme-config
%endif
%{_bindir}/gpgme-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_infodir}/*

%changelog
* Wed Aug 24 2005 Abel Cheung <deaddog@mandriva.org> 1.0.3-1mdk
- New release 1.0.3

* Fri Apr 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- fix deps and conditional %%multiarch
- run the test suite
- fix requires-on-release

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- New release 1.0.1

* Wed Oct 20 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- fix source URL
- New release 1.0.0

* Thu Aug 19 2004 Abel Cheung <deaddog@deaddog.org> 0.9.0-1mdk
- New version
- Disable test, some gpgsm tests appears to need fixing

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.4.7-1mdk
- New version

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.4.4-1mdk
- New version

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.4.3-1mdk
- 0.4.3
- Don't bundle tests
- Fix provides

* Mon Mar 10 2003 GÃ¶tz Waschk <waschk@linux-mandrake.com> 0.3.14-3mdk
- build with newpg

* Thu Mar  6 2003 GÃ¶tz Waschk <waschk@linux-mandrake.com> 0.3.14-2mdk
- mklibname macro
- rebuild

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.14-1mdk
- Update

* Tue Oct 22 2002 GÃ¶tz Waschk <waschk@linux-mandrake.com> 0.3.12-5mdk
- remove dependancy on libgpgme.so.0

* Mon Oct 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-4mdk
- Fix spec file

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-3mdk
- Fix spec file

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-2mdk
- Add --enable-gpgmeplug

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.3.12-1mdk
- Update

* Thu Sep  5 2002 GÃ¶tz Waschk <waschk@linux-mandrake.com> 0.3.9-3mdk
- make libgpgme6 provide gpgme and libgpgme

* Thu Sep  5 2002 GÃ¶tz Waschk <waschk@linux-mandrake.com> 0.3.9-2mdk
- removed a typo in the description 

* Mon Sep  2 2002 GÃ¶tz Waschk <waschk@linux-mandrake.com> 0.3.9-1mdk
- major version 6
- add info documentation
- spec file fixes
- fix provides and requires
- renamed packages to libgpgme0 and libgpgme0-devel
- used source package from Charles A Edwards <eslrahc@bellsouth.net>:
	- upgraded to version 0.3.9
	- use %%configure
	- use autoconf2.5
	- add buildrequires for autoconf2.5

* Sat Nov 17 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.3-1mdk
- Upgraded to version 0.2.3

* Thu Sep 06 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.2.2-1mdk
- first release, version 0.2.2
